local GoldBackground = {
  -- path to the background texture
  bgFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Background",  
  -- path to the border texture
  edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Border",
  -- true to repeat the background texture to fill the frame, false to scale it
  tile = true,
  -- size (width or height) of the square repeating background tiles (in pixels)
  tileSize = 32,
  -- thickness of edge segments and square size of edge corners (in pixels)
  edgeSize = 32,
  -- distance from the edges of the frame to those of the background texture (in pixels)
  insets = {
    left = 11,
    right = 12,
    top = 12,
    bottom = 11
  }
}

RR_Enabled = true

CreateFrame("Frame","RudeResponse",UIParent)
RudeResponse:SetBackdrop(GoldBackground)
RudeResponse:SetPoint("CENTER")
RudeResponse:SetWidth(168)
RudeResponse:SetHeight(72)
RudeResponse:SetPoint("CENTER",0,0)
RudeResponse:SetMovable(true)
RudeResponse:EnableMouse(true)
RudeResponse:SetClampedToScreen(true)
RudeResponse:SetClampRectInsets(0,0,0,0)
RudeResponse:SetFrameStrata("DIALOG")
RudeResponse:Hide()
RudeResponse:RegisterEvent("CHAT_MSG_WHISPER")
RudeResponse:SetScript("OnEvent", function(self,event,msg,sender)
	if RR_Enabled then
		RudeResponse:Show()
		RudeResponse.send = msg
		RudeResponse.sender = sender
	end
end)
RudeResponse:RegisterForDrag("LeftButton")
RudeResponse:SetScript("OnDragStart", EonTag_mainWindow.StartMoving)
RudeResponse:SetScript("OnDragStop", EonTag_mainWindow.StopMovingOrSizing)

CreateFrame("Button","RudeResponse_Yes",RudeResponse,"UIPanelButtonTemplate")
RudeResponse_Yes:SetWidth(140)
RudeResponse_Yes:SetHeight(22)
RudeResponse_Yes:SetPoint("BOTTOM",RudeResponse,"Center")
RudeResponse_Yes:SetText("Send rude message")
RudeResponse_Yes:SetScript("OnClick",function()
	local msg = ""
	for k = 1,RudeResponse.send:len(),1 do
         if k % 2 == 0 then
            msg = msg .. RudeResponse.send:sub(k,k):lower()
         else
            msg = msg .. RudeResponse.send:sub(k,k):upper()
         end
      end
      SendChatMessage(msg,"Whisper",nil,RudeResponse.sender)
	  RudeResponse:Hide()
end)
CreateFrame("Button","RudeResponse_No",RudeResponse,"UIPanelButtonTemplate")
RudeResponse_No:SetWidth(140)
RudeResponse_No:SetHeight(22)
RudeResponse_No:SetPoint("TOP",RudeResponse,"Center")
RudeResponse_No:SetText("Let it be")
RudeResponse_No:SetScript("OnClick",function()
	  RudeResponse:Hide()
end)

SLASH_RUDERESPONSE1,SLASH_RUDERESPONSE2 = '/ruderesponse','/rr'
function SlashCmdList.RUDERESPONSE(msg, editbox)
	if RR_Enabled then
		print("You're nice! (Rude responses now turned off)")
	    RR_Enabled = false
	else
		print("You're a twat! (Rude responses are now turned on)")
		RR_Enabled = true
	end
end
